describe("GMA Markers Layer", () => {
  before(() => {});

  it("Der Test stellt sicher, dass das GMA Tooltip-Element für 'Rastede' angezeigt ist und die erwarteten Werte wie LT:, FBT:, GT: und RLF: enthält.", () => {
    // Testbeschreibung: Dieser Test überprüft, ob der Tooltip selbst korrekt dargestellt wird und den erwarteten Inhalt anzeigt.

    // Besuche die Map-Seite
    //cy.visit("http://10.10.0.13:3000/?m=12&u=484"); // Passe die URL an
    cy.visit("http://127.0.0.1:3000/?m=12&u=484");

    cy.contains(".leaflet-tooltip", "Rastede")
      // Wählt das Tooltip-Element mit der Klasse `leaflet-tooltip`, das den Text "Rastede" enthält.
      .first();

    cy.get(".leaflet-tooltip")
      // Wählt das Tooltip-Element erneut aus, um weitere Überprüfungen durchzuführen.
      .should("be.visible")
      // Überprüft, ob das Tooltip sichtbar ist.
      .and("contain", "LT:")
      // Stellt sicher, dass der Tooltip den Text "LT :" enthält.
      .and("contain", "FBT:")
      // Stellt sicher, dass der Tooltip auch den Text "FBT:" enthält.
      .and("contain", "GT:")
      // Stellt sicher, dass der Tooltip auch den Text "GT:" enthält.
      .and("contain", "RLF:");
    // Stellt sicher, dass der Tooltip auch den Text "RLF:" enthält.
  });

  it("should open context menu on right-click on tooltip", () => {
    // Testbeschreibung: Dieser Test überprüft, ob ein Rechtsklick auf den Tooltip das Kontextmenü öffnet.

    // Besuche die Map-Seite
    cy.visit("http://127.0.0.1:3000/?m=12&u=484"); // Passe die URL an
    //warte 2 Sekunden
    cy.wait(2000);

    cy.contains(".leaflet-tooltip", "Rastede")
      // Wählt das Tooltip-Element mit der Klasse `leaflet-tooltip`, das den Text "Rastede" enthält.
      .first()
      .should("be.visible") // Überprüft, ob das Tooltip sichtbar ist.
      .trigger("contextmenu"); // Führt einen Rechtsklick (Kontextmenü-Ereignis) auf das Tooltip aus.

    cy.get(".custom-context-menu")
      // Wählt das Element aus, das das Kontextmenü darstellt.
      .should("be.visible") // Überprüft, ob das Kontextmenü sichtbar ist.
      .and("contain", "Station öffnen (Tab)") // Überprüft, ob der Eintrag "Station öffnen (Tab)" vorhanden ist.
      .and("contain", "Koordinaten anzeigen") // Überprüft, ob der Eintrag "Koordinaten anzeigen" vorhanden ist.
      .and("contain", "Reinzoomen") // Überprüft, ob der Eintrag "Reinzoomen" vorhanden ist.
      .and("contain", "Rauszoomen") // Überprüft, ob der Eintrag "Rauszoomen" vorhanden ist.
      .and("contain", "Hier zentrieren"); // Überprüft, ob der Eintrag "Hier zentrieren" vorhanden ist.
  });

  //-----------------------------------------------
});
